xmlwrapp Lightweight C++ XML parsing library

Public Member Functions | List of all members
xml::node::iterator Class Reference

The xml::node::iterator provides a way to access children nodes similar to a standard C++ container. More...

`#include <node.h>`

## Public Member Functions
iterator & | operator++ ()
| prefix increment More...
iterator | operator++ (int)
| postfix increment (avoid if possible for better performance) More...

## Detailed Description

The xml::node::iterator provides a way to access children nodes similar to a standard C++ container.

The nodes that are pointed to by the iterator can be changed.

Note that this is only a forward iterator.

## Member Function Documentation

## ◆ operator++() [1/2]

iterator& xml::node::iterator::operator++ | ( |  | ) |

prefix increment

## ◆ operator++() [2/2]

iterator xml::node::iterator::operator++ | ( | int |  | ) |

postfix increment (avoid if possible for better performance)

The documentation for this class was generated from the following file:

- xmlwrapp/node.h